Bug 133302 - [PATCH] textproc/libtre: Add option to build with Profile-Guided Optimization
Summary: [PATCH] textproc/libtre: Add option to build with Profile-Guided Optimization
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mario Sergio Fujikawa Ferreira
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-02 14:00 UTC by Mario Sergio Fujikawa Ferreira
Modified: 2009-04-22 02:30 UTC (History)
1 user (show)

See Also:


Attachments
libtre-0.7.5_3.patch (3.17 KB, patch)
2009-04-02 14:00 UTC, Mario Sergio Fujikawa Ferreira
no flags Details | Diff
libtre-pgo.log (22.82 KB, text/plain)
2009-04-02 14:00 UTC, Mario Sergio Fujikawa Ferreira
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mario Sergio Fujikawa Ferreira freebsd_committer 2009-04-02 14:00:00 UTC
- Add WITH_PGO to build with Profile-Guided Optimization

Port maintainer (bf2006a@yahoo.com) is cc'd.

- Both the pgo and the non-pgo versions were benchmarked using
  libtre bench test to verify any improvements.
- The test is built with the following steps:
	1) build the libtre with the necessary options
	2) build the benchmark

$ cd work/tre-0.7.5/tests
$ make bench

	3) run the benchmark

$ ./bench -t 1

- The benchmark result summary follows:

==> libtre-non-pgo.log <==
# mean: 0.88898
# variance: 0.0000001220703125
# standard deviation: 0.0003493856214844
# error: +-0.0001629687500000 (+-0.0183%)
10485760        0.88898 0.00016

==> libtre-pgo.log <==
# mean: 0.76301
# variance: 0.0000001461631373
# standard deviation: 0.0003823128788512
# error: +-0.0001783274643947 (+-0.0234%)
10485760        0.76301 0.00018

- The average time was 0.76301 for the pgo version and 0.88898 for
  the non-pgo version. mail/crm114 port can benefit from that.

- Complete benchmark results for both pgo and non-pgo versions are
  attached:
	- libtre-non-pgo.log
	- libtre-pgo.log

Fix: Script started on Thu Apr  2 03:15:11 2009
# pattern: "(a)*"
# string:  "aaaaaa..."
# len = 0
# sample: 0.00000 sec, clocks: 0
# sample: 0.00000 sec, clocks: 0
# sample: 0.00000 sec, clocks: 0
# sample: 0.00000 sec, clocks: 0
# sample: 0.00000 sec, clocks: 0
# sample: 0.00000 sec, clocks: 0
# sample: 0.00000 sec, clocks: 0
# sample: 0.00000 sec, clocks: 0
# sample: 0.00000 sec, clocks: 0
# sample: 0.00000 sec, clocks: 0
# sample: 0.00000 sec, clocks: 0
# sample: 0.00000 sec, clocks: 0
# sample: 0.00000 sec, clocks: 0
# sample: 0.00000 sec, clocks: 0
# sample: 0.00000 sec, clocks: 0
# sample: 0.00000 sec, clocks: 0
# sample: 0.00000 sec, clocks: 0
# sample: 0.00000 sec, clocks: 0
# sample: 0.00000 sec, clocks: 0
# sample: 0.00000 sec, clocks: 0
# pmatch[0].rm_so = 0
# pmatch[0].rm_eo = 0
# pmatch[1].rm_so = -1
# pmatch[1].rm_eo = -1
# pmatch[2].rm_so = -1
# pmatch[2].rm_eo = -1
# pmatch[3].rm_so = -1
# pmatch[3].rm_eo = -1
# pmatch[4].rm_so = -1
# pmatch[4].rm_eo = -1
# mean: 0.00000
# variance: 0.0000000000000000
# standard deviation: 0.0000000000000000
# error: ±0.0000000000000000 (±0.0000%)
0	0.00000	0.00000
# len = 524288
# sample: 0.04375 sec, clocks: 56
# sample: 0.04453 sec, clocks: 57
# sample: 0.04453 sec, clocks: 57
# sample: 0.04453 sec, clocks: 57
# sample: 0.04453 sec, clocks: 57
# sample: 0.04453 sec, clocks: 57
# sample: 0.04453 sec, clocks: 57
# sample: 0.04453 sec, clocks: 57
# sample: 0.04375 sec, clocks: 56
# sample: 0.04453 sec, clocks: 57
# sample: 0.04453 sec, clocks: 57
# sample: 0.04453 sec, clocks: 57
# sample: 0.04453 sec, clocks: 57
# sample: 0.04453 sec, clocks: 57
# sample: 0.04453 sec, clocks: 57
# sample: 0.04453 sec, clocks: 57
# sample: 0.04453 sec, clocks: 57
# sample: 0.04453 sec, clocks: 57
# sample: 0.04453 sec, clocks: 57
# sample: 0.04375 sec, clocks: 56
# pmatch[0].rm_so = 0
# pmatch[0].rm_eo = 524287
# pmatch[1].rm_so = 524286
# pmatch[1].rm_eo = 524287
# pmatch[2].rm_so = -1
# pmatch[2].rm_eo = -1
# pmatch[3].rm_so = -1
# pmatch[3].rm_eo = -1
# pmatch[4].rm_so = -1
# pmatch[4].rm_eo = -1
# mean: 0.04441
# variance: 0.0000000819156044
# standard deviation: 0.0002862090222910
# error: ±0.0001335004182580 (±0.3006%)
524288	0.04441	0.00013
# len = 1048576
# sample: 0.08906 sec, clocks: 114
# sample: 0.08828 sec, clocks: 113
# sample: 0.08906 sec, clocks: 114
# sample: 0.08906 sec, clocks: 114
# sample: 0.08906 sec, clocks: 114
# sample: 0.08906 sec, clocks: 114
# sample: 0.08906 sec, clocks: 114
# sample: 0.08828 sec, clocks: 113
# sample: 0.08906 sec, clocks: 114
# sample: 0.08906 sec, clocks: 114
# sample: 0.08906 sec, clocks: 114
# sample: 0.08906 sec, clocks: 114
# sample: 0.08828 sec, clocks: 113
# sample: 0.08906 sec, clocks: 114
# sample: 0.08906 sec, clocks: 114
# sample: 0.08906 sec, clocks: 114
# sample: 0.08906 sec, clocks: 114
# sample: 0.08828 sec, clocks: 113
# sample: 0.08906 sec, clocks: 114
# sample: 0.08906 sec, clocks: 114
# pmatch[0].rm_so = 0
# pmatch[0].rm_eo = 1048575
# pmatch[1].rm_so = 1048574
# pmatch[1].rm_eo = 1048575
# pmatch[2].rm_so = -1
# pmatch[2].rm_eo = -1
# pmatch[3].rm_so = -1
# pmatch[3].rm_eo = -1
# pmatch[4].rm_so = -1
# pmatch[4].rm_eo = -1
# mean: 0.08891
# variance: 0.0000001027960526
# standard deviation: 0.0003206182350266
# error: ±0.0001495503815169 (±0.1682%)
1048576	0.08891	0.00015
# len = 1572864
# sample: 0.13359 sec, clocks: 171
# sample: 0.13359 sec, clocks: 171
# sample: 0.13359 sec, clocks: 171
# sample: 0.13281 sec, clocks: 170
# sample: 0.13359 sec, clocks: 171
# sample: 0.13359 sec, clocks: 171
# sample: 0.13281 sec, clocks: 170
# sample: 0.13359 sec, clocks: 171
# sample: 0.13359 sec, clocks: 171
# sample: 0.13281 sec, clocks: 170
# sample: 0.13359 sec, clocks: 171
# sample: 0.13359 sec, clocks: 171
# sample: 0.13359 sec, clocks: 171
# sample: 0.13281 sec, clocks: 170
# sample: 0.13359 sec, clocks: 171
# sample: 0.13359 sec, clocks: 171
# sample: 0.13281 sec, clocks: 170
# sample: 0.13359 sec, clocks: 171
# sample: 0.13359 sec, clocks: 171
# sample: 0.13281 sec, clocks: 170
# pmatch[0].rm_so = 0
# pmatch[0].rm_eo = 1572863
# pmatch[1].rm_so = 1572862
# pmatch[1].rm_eo = 1572863
# pmatch[2].rm_so = -1
# pmatch[2].rm_eo = -1
# pmatch[3].rm_so = -1
# pmatch[3].rm_eo = -1
# pmatch[4].rm_so = -1
# pmatch[4].rm_eo = -1
# mean: 0.13336
# variance: 0.0000001349198191
# standard deviation: 0.0003673143327982
# error: ±0.0001713314858777 (±0.1285%)
1572864	0.13336	0.00017
# len = 2097152
# sample: 0.17813 sec, clocks: 228
# sample: 0.17734 sec, clocks: 227
# sample: 0.17813 sec, clocks: 228
# sample: 0.17734 sec, clocks: 227
# sample: 0.17813 sec, clocks: 228
# sample: 0.17813 sec, clocks: 228
# sample: 0.17734 sec, clocks: 227
# sample: 0.17813 sec, clocks: 228
# sample: 0.17734 sec, clocks: 227
# sample: 0.17813 sec, clocks: 228
# sample: 0.17813 sec, clocks: 228
# sample: 0.17734 sec, clocks: 227
# sample: 0.17813 sec, clocks: 228
# sample: 0.17734 sec, clocks: 227
# sample: 0.17813 sec, clocks: 228
# sample: 0.17813 sec, clocks: 228
# sample: 0.17734 sec, clocks: 227
# sample: 0.17813 sec, clocks: 228
# sample: 0.17734 sec, clocks: 227
# sample: 0.17813 sec, clocks: 228
# pmatch[0].rm_so = 0
# pmatch[0].rm_eo = 2097151
# pmatch[1].rm_so = 2097150
# pmatch[1].rm_eo = 2097151
# pmatch[2].rm_so = -1
# pmatch[2].rm_eo = -1
# pmatch[3].rm_so = -1
# pmatch[3].rm_eo = -1
# pmatch[4].rm_so = -1
# pmatch[4].rm_eo = -1
# mean: 0.17781
# variance: 0.0000001541940789
# standard deviation: 0.0003926755390235
# error: ±0.0001831610627774 (±0.1030%)
2097152	0.17781	0.00018
# len = 2621440
# sample: 0.22188 sec, clocks: 284
# sample: 0.22266 sec, clocks: 285
# sample: 0.22188 sec, clocks: 284
# sample: 0.22266 sec, clocks: 285
# sample: 0.22188 sec, clocks: 284
# sample: 0.22266 sec, clocks: 285
# sample: 0.22188 sec, clocks: 284
# sample: 0.22188 sec, clocks: 284
# sample: 0.22266 sec, clocks: 285
# sample: 0.22266 sec, clocks: 285
# sample: 0.22188 sec, clocks: 284
# sample: 0.22266 sec, clocks: 285
# sample: 0.22188 sec, clocks: 284
# sample: 0.22188 sec, clocks: 284
# sample: 0.22266 sec, clocks: 285
# sample: 0.22188 sec, clocks: 284
# sample: 0.22266 sec, clocks: 285
# sample: 0.22266 sec, clocks: 285
# sample: 0.22188 sec, clocks: 284
# sample: 0.22266 sec, clocks: 285
# pmatch[0].rm_so = 0
# pmatch[0].rm_eo = 2621439
# pmatch[1].rm_so = 2621438
# pmatch[1].rm_eo = 2621439
# pmatch[2].rm_so = -1
# pmatch[2].rm_eo = -1
# pmatch[3].rm_so = -1
# pmatch[3].rm_eo = -1
# pmatch[4].rm_so = -1
# pmatch[4].rm_eo = -1
# mean: 0.22227
# variance: 0.0000001606188322
# standard deviation: 0.0004007727937833
# error: ±0.0001869379768961 (±0.0841%)
2621440	0.22227	0.00019
# len = 3145728
# sample: 0.26641 sec, clocks: 341
# sample: 0.26641 sec, clocks: 341
# sample: 0.26719 sec, clocks: 342
# sample: 0.26641 sec, clocks: 341
# sample: 0.26641 sec, clocks: 341
# sample: 0.26719 sec, clocks: 342
# sample: 0.26641 sec, clocks: 341
# sample: 0.26641 sec, clocks: 341
# sample: 0.26719 sec, clocks: 342
# sample: 0.26641 sec, clocks: 341
# sample: 0.26719 sec, clocks: 342
# sample: 0.26641 sec, clocks: 341
# sample: 0.26641 sec, clocks: 341
# sample: 0.26719 sec, clocks: 342
# sample: 0.26641 sec, clocks: 341
# sample: 0.26641 sec, clocks: 341
# sample: 0.26719 sec, clocks: 342
# sample: 0.26641 sec, clocks: 341
# sample: 0.26641 sec, clocks: 341
# sample: 0.26719 sec, clocks: 342
# pmatch[0].rm_so = 0
# pmatch[0].rm_eo = 3145727
# pmatch[1].rm_so = 3145726
# pmatch[1].rm_eo = 3145727
# pmatch[2].rm_so = -1
# pmatch[2].rm_eo = -1
# pmatch[3].rm_so = -1
# pmatch[3].rm_eo = -1
# pmatch[4].rm_so = -1
# pmatch[4].rm_eo = -1
# mean: 0.26668
# variance: 0.0000001461631373
# standard deviation: 0.0003823128788512
# error: ±0.0001783274643948 (±0.0669%)
3145728	0.26668	0.00018
# len = 3670016
# sample: 0.31094 sec, clocks: 398
# sample: 0.31172 sec, clocks: 399
# sample: 0.31094 sec, clocks: 398
# sample: 0.31094 sec, clocks: 398
# sample: 0.31172 sec, clocks: 399
# sample: 0.31094 sec, clocks: 398
# sample: 0.31094 sec, clocks: 398
# sample: 0.31094 sec, clocks: 398
# sample: 0.31172 sec, clocks: 399
# sample: 0.31094 sec, clocks: 398
# sample: 0.31094 sec, clocks: 398
# sample: 0.31094 sec, clocks: 398
# sample: 0.31172 sec, clocks: 399
# sample: 0.31094 sec, clocks: 398
# sample: 0.31094 sec, clocks: 398
# sample: 0.31094 sec, clocks: 398
# sample: 0.31094 sec, clocks: 398
# sample: 0.31094 sec, clocks: 398
# sample: 0.31094 sec, clocks: 398
# sample: 0.31172 sec, clocks: 399
# pmatch[0].rm_so = 0
# pmatch[0].rm_eo = 3670015
# pmatch[1].rm_so = 3670014
# pmatch[1].rm_eo = 3670015
# pmatch[2].rm_so = -1
# pmatch[2].rm_eo = -1
# pmatch[3].rm_so = -1
# pmatch[3].rm_eo = -1
# pmatch[4].rm_so = -1
# pmatch[4].rm_eo = -1
# mean: 0.31113
# variance: 0.0000001204641242
# standard deviation: 0.0003470794205620
# error: ±0.0001618930369241 (±0.0520%)
3670016	0.31113	0.00016
# len = 4194304
# sample: 0.35547 sec, clocks: 455
# sample: 0.35547 sec, clocks: 455
# sample: 0.35547 sec, clocks: 455
# sample: 0.35625 sec, clocks: 456
# sample: 0.35547 sec, clocks: 455
# sample: 0.35547 sec, clocks: 455
# sample: 0.35547 sec, clocks: 455
# sample: 0.35547 sec, clocks: 455
# sample: 0.35547 sec, clocks: 455
# sample: 0.35547 sec, clocks: 455
# sample: 0.35625 sec, clocks: 456
# sample: 0.35547 sec, clocks: 455
# sample: 0.35547 sec, clocks: 455
# sample: 0.35547 sec, clocks: 455
# sample: 0.35547 sec, clocks: 455
# sample: 0.35547 sec, clocks: 455
# sample: 0.35547 sec, clocks: 455
# sample: 0.35625 sec, clocks: 456
# sample: 0.35547 sec, clocks: 455
# sample: 0.35547 sec, clocks: 455
# pmatch[0].rm_so = 0
# pmatch[0].rm_eo = 4194303
# pmatch[1].rm_so = 4194302
# pmatch[1].rm_eo = 4194303
# pmatch[2].rm_so = -1
# pmatch[2].rm_eo = -1
# pmatch[3].rm_so = -1
# pmatch[3].rm_eo = -1
# pmatch[4].rm_so = -1
# pmatch[4].rm_eo = -1
# mean: 0.35559
# variance: 0.0000000819156044
# standard deviation: 0.0002862090222910
# error: ±0.0001335004182580 (±0.0375%)
4194304	0.35559	0.00013
# len = 4718592
# sample: 0.40000 sec, clocks: 512
# sample: 0.40078 sec, clocks: 513
# sample: 0.40000 sec, clocks: 512
# sample: 0.40000 sec, clocks: 512
# sample: 0.40000 sec, clocks: 512
# sample: 0.40000 sec, clocks: 512
# sample: 0.40000 sec, clocks: 512
# sample: 0.40000 sec, clocks: 512
# sample: 0.40000 sec, clocks: 512
# sample: 0.40000 sec, clocks: 512
# sample: 0.40000 sec, clocks: 512
# sample: 0.40000 sec, clocks: 512
# sample: 0.40000 sec, clocks: 512
# sample: 0.40000 sec, clocks: 512
# sample: 0.40000 sec, clocks: 512
# sample: 0.40078 sec, clocks: 513
# sample: 0.40078 sec, clocks: 513
# sample: 0.40078 sec, clocks: 513
# sample: 0.40000 sec, clocks: 512
# sample: 0.40000 sec, clocks: 512
# pmatch[0].rm_so = 0
# pmatch[0].rm_eo = 4718591
# pmatch[1].rm_so = 4718590
# pmatch[1].rm_eo = 4718591
# pmatch[2].rm_so = -1
# pmatch[2].rm_eo = -1
# pmatch[3].rm_so = -1
# pmatch[3].rm_eo = -1
# pmatch[4].rm_so = -1
# pmatch[4].rm_eo = -1
# mean: 0.40016
# variance: 0.0000001027960526
# standard deviation: 0.0003206182350266
# error: ±0.0001495503815169 (±0.0374%)
4718592	0.40016	0.00015
# len = 5242880
# sample: 0.44453 sec, clocks: 569
# sample: 0.44453 sec, clocks: 569
# sample: 0.44453 sec, clocks: 569
# sample: 0.44453 sec, clocks: 569
# sample: 0.44453 sec, clocks: 569
# sample: 0.44453 sec, clocks: 569
# sample: 0.44453 sec, clocks: 569
# sample: 0.44453 sec, clocks: 569
# sample: 0.44453 sec, clocks: 569
# sample: 0.44453 sec, clocks: 569
# sample: 0.44453 sec, clocks: 569
# sample: 0.44453 sec, clocks: 569
# sample: 0.44453 sec, clocks: 569
# sample: 0.44453 sec, clocks: 569
# sample: 0.44453 sec, clocks: 569
# sample: 0.44453 sec, clocks: 569
# sample: 0.44453 sec, clocks: 569
# sample: 0.44453 sec, clocks: 569
# sample: 0.44453 sec, clocks: 569
# sample: 0.44453 sec, clocks: 569
# pmatch[0].rm_so = 0
# pmatch[0].rm_eo = 5242879
# pmatch[1].rm_so = 5242878
# pmatch[1].rm_eo = 5242879
# pmatch[2].rm_so = -1
# pmatch[2].rm_eo = -1
# pmatch[3].rm_so = -1
# pmatch[3].rm_eo = -1
# pmatch[4].rm_so = -1
# pmatch[4].rm_eo = -1
# mean: 0.44453
# variance: 0.0000000000000000
# standard deviation: 0.0000000000000001
# error: ±0.0000000000000000 (±0.0000%)
5242880	0.44453	0.00000
# len = 5767168
# sample: 0.48906 sec, clocks: 626
# sample: 0.48906 sec, clocks: 626
# sample: 0.48906 sec, clocks: 626
# sample: 0.48906 sec, clocks: 626
# sample: 0.48828 sec, clocks: 625
# sample: 0.48906 sec, clocks: 626
# sample: 0.48906 sec, clocks: 626
# sample: 0.48906 sec, clocks: 626
# sample: 0.48906 sec, clocks: 626
# sample: 0.48906 sec, clocks: 626
# sample: 0.48828 sec, clocks: 625
# sample: 0.48906 sec, clocks: 626
# sample: 0.48906 sec, clocks: 626
# sample: 0.48906 sec, clocks: 626
# sample: 0.48906 sec, clocks: 626
# sample: 0.48906 sec, clocks: 626
# sample: 0.48906 sec, clocks: 626
# sample: 0.48828 sec, clocks: 625
# sample: 0.48906 sec, clocks: 626
# sample: 0.48906 sec, clocks: 626
# pmatch[0].rm_so = 0
# pmatch[0].rm_eo = 5767167
# pmatch[1].rm_so = 5767166
# pmatch[1].rm_eo = 5767167
# pmatch[2].rm_so = -1
# pmatch[2].rm_eo = -1
# pmatch[3].rm_so = -1
# pmatch[3].rm_eo = -1
# pmatch[4].rm_so = -1
# pmatch[4].rm_eo = -1
# mean: 0.48895
# variance: 0.0000000819156044
# standard deviation: 0.0002862090222910
# error: ±0.0001335004182580 (±0.0273%)
5767168	0.48895	0.00013
# len = 6291456
# sample: 0.53359 sec, clocks: 683
# sample: 0.53359 sec, clocks: 683
# sample: 0.53359 sec, clocks: 683
# sample: 0.53281 sec, clocks: 682
# sample: 0.53359 sec, clocks: 683
# sample: 0.53359 sec, clocks: 683
# sample: 0.53359 sec, clocks: 683
# sample: 0.53359 sec, clocks: 683
# sample: 0.53281 sec, clocks: 682
# sample: 0.53359 sec, clocks: 683
# sample: 0.53359 sec, clocks: 683
# sample: 0.53359 sec, clocks: 683
# sample: 0.53359 sec, clocks: 683
# sample: 0.53281 sec, clocks: 682
# sample: 0.53359 sec, clocks: 683
# sample: 0.53359 sec, clocks: 683
# sample: 0.53359 sec, clocks: 683
# sample: 0.53281 sec, clocks: 682
# sample: 0.53359 sec, clocks: 683
# sample: 0.53359 sec, clocks: 683
# pmatch[0].rm_so = 0
# pmatch[0].rm_eo = 6291455
# pmatch[1].rm_so = 6291454
# pmatch[1].rm_eo = 6291455
# pmatch[2].rm_so = -1
# pmatch[2].rm_eo = -1
# pmatch[3].rm_so = -1
# pmatch[3].rm_eo = -1
# pmatch[4].rm_so = -1
# pmatch[4].rm_eo = -1
# mean: 0.53344
# variance: 0.0000001027960526
# standard deviation: 0.0003206182350266
# error: ±0.0001495503815169 (±0.0280%)
6291456	0.53344	0.00015
# len = 6815744
# sample: 0.57812 sec, clocks: 740
# sample: 0.57812 sec, clocks: 740
# sample: 0.57734 sec, clocks: 739
# sample: 0.57812 sec, clocks: 740
# sample: 0.57812 sec, clocks: 740
# sample: 0.57734 sec, clocks: 739
# sample: 0.57812 sec, clocks: 740
# sample: 0.57812 sec, clocks: 740
# sample: 0.57734 sec, clocks: 739
# sample: 0.57812 sec, clocks: 740
# sample: 0.57812 sec, clocks: 740
# sample: 0.57734 sec, clocks: 739
# sample: 0.57812 sec, clocks: 740
# sample: 0.57812 sec, clocks: 740
# sample: 0.57734 sec, clocks: 739
# sample: 0.57812 sec, clocks: 740
# sample: 0.57812 sec, clocks: 740
# sample: 0.57734 sec, clocks: 739
# sample: 0.57812 sec, clocks: 740
# sample: 0.57812 sec, clocks: 740
# pmatch[0].rm_so = 0
# pmatch[0].rm_eo = 6815743
# pmatch[1].rm_so = 6815742
# pmatch[1].rm_eo = 6815743
# pmatch[2].rm_so = -1
# pmatch[2].rm_eo = -1
# pmatch[3].rm_so = -1
# pmatch[3].rm_eo = -1
# pmatch[4].rm_so = -1
# pmatch[4].rm_eo = -1
# mean: 0.57789
# variance: 0.0000001349198191
# standard deviation: 0.0003673143327981
# error: ±0.0001713314858776 (±0.0296%)
6815744	0.57789	0.00017
# len = 7340032
# sample: 0.62188 sec, clocks: 796
# sample: 0.62266 sec, clocks: 797
# sample: 0.62188 sec, clocks: 796
# sample: 0.62266 sec, clocks: 797
# sample: 0.62266 sec, clocks: 797
# sample: 0.62188 sec, clocks: 796
# sample: 0.62266 sec, clocks: 797
# sample: 0.62188 sec, clocks: 796
# sample: 0.62266 sec, clocks: 797
# sample: 0.62188 sec, clocks: 796
# sample: 0.62266 sec, clocks: 797
# sample: 0.62266 sec, clocks: 797
# sample: 0.62188 sec, clocks: 796
# sample: 0.62266 sec, clocks: 797
# sample: 0.62188 sec, clocks: 796
# sample: 0.62188 sec, clocks: 796
# sample: 0.62266 sec, clocks: 797
# sample: 0.62188 sec, clocks: 796
# sample: 0.62266 sec, clocks: 797
# sample: 0.62188 sec, clocks: 796
# pmatch[0].rm_so = 0
# pmatch[0].rm_eo = 7340031
# pmatch[1].rm_so = 7340030
# pmatch[1].rm_eo = 7340031
# pmatch[2].rm_so = -1
# pmatch[2].rm_eo = -1
# pmatch[3].rm_so = -1
# pmatch[3].rm_eo = -1
# pmatch[4].rm_so = -1
# pmatch[4].rm_eo = -1
# mean: 0.62227
# variance: 0.0000001606188322
# standard deviation: 0.0004007727937832
# error: ±0.0001869379768961 (±0.0300%)
7340032	0.62227	0.00019
# len = 7864320
# sample: 0.66641 sec, clocks: 853
# sample: 0.66719 sec, clocks: 854
# sample: 0.66641 sec, clocks: 853
# sample: 0.66641 sec, clocks: 853
# sample: 0.66719 sec, clocks: 854
# sample: 0.66641 sec, clocks: 853
# sample: 0.66719 sec, clocks: 854
# sample: 0.66641 sec, clocks: 853
# sample: 0.66641 sec, clocks: 853
# sample: 0.66719 sec, clocks: 854
# sample: 0.66641 sec, clocks: 853
# sample: 0.66719 sec, clocks: 854
# sample: 0.66641 sec, clocks: 853
# sample: 0.66641 sec, clocks: 853
# sample: 0.66719 sec, clocks: 854
# sample: 0.66641 sec, clocks: 853
# sample: 0.66719 sec, clocks: 854
# sample: 0.66641 sec, clocks: 853
# sample: 0.66719 sec, clocks: 854
# sample: 0.66641 sec, clocks: 853
# pmatch[0].rm_so = 0
# pmatch[0].rm_eo = 7864319
# pmatch[1].rm_so = 7864318
# pmatch[1].rm_eo = 7864319
# pmatch[2].rm_so = -1
# pmatch[2].rm_eo = -1
# pmatch[3].rm_so = -1
# pmatch[3].rm_eo = -1
# pmatch[4].rm_so = -1
# pmatch[4].rm_eo = -1
# mean: 0.66672
# variance: 0.0000001541940789
# standard deviation: 0.0003926755390234
# error: ±0.0001831610627774 (±0.0275%)
7864320	0.66672	0.00018
# len = 8388608
# sample: 0.71094 sec, clocks: 910
# sample: 0.71172 sec, clocks: 911
# sample: 0.71094 sec, clocks: 910
# sample: 0.71172 sec, clocks: 911
# sample: 0.71094 sec, clocks: 910
# sample: 0.71172 sec, clocks: 911
# sample: 0.71094 sec, clocks: 910
# sample: 0.71094 sec, clocks: 910
# sample: 0.71172 sec, clocks: 911
# sample: 0.71094 sec, clocks: 910
# sample: 0.71094 sec, clocks: 910
# sample: 0.71172 sec, clocks: 911
# sample: 0.71094 sec, clocks: 910
# sample: 0.71094 sec, clocks: 910
# sample: 0.71172 sec, clocks: 911
# sample: 0.71094 sec, clocks: 910
# sample: 0.71094 sec, clocks: 910
# sample: 0.71172 sec, clocks: 911
# sample: 0.71094 sec, clocks: 910
# sample: 0.71094 sec, clocks: 910
# pmatch[0].rm_so = 0
# pmatch[0].rm_eo = 8388607
# pmatch[1].rm_so = 8388606
# pmatch[1].rm_eo = 8388607
# pmatch[2].rm_so = -1
# pmatch[2].rm_eo = -1
# pmatch[3].rm_so = -1
# pmatch[3].rm_eo = -1
# pmatch[4].rm_so = -1
# pmatch[4].rm_eo = -1
# mean: 0.71121
# variance: 0.0000001461631373
# standard deviation: 0.0003823128788513
# error: ±0.0001783274643948 (±0.0251%)
8388608	0.71121	0.00018
# len = 8912896
# sample: 0.75547 sec, clocks: 967
# sample: 0.75547 sec, clocks: 967
# sample: 0.75625 sec, clocks: 968
# sample: 0.75547 sec, clocks: 967
# sample: 0.75547 sec, clocks: 967
# sample: 0.75625 sec, clocks: 968
# sample: 0.75547 sec, clocks: 967
# sample: 0.75547 sec, clocks: 967
# sample: 0.75547 sec, clocks: 967
# sample: 0.75625 sec, clocks: 968
# sample: 0.75547 sec, clocks: 967
# sample: 0.75547 sec, clocks: 967
# sample: 0.75625 sec, clocks: 968
# sample: 0.75547 sec, clocks: 967
# sample: 0.75547 sec, clocks: 967
# sample: 0.75547 sec, clocks: 967
# sample: 0.75625 sec, clocks: 968
# sample: 0.75547 sec, clocks: 967
# sample: 0.75547 sec, clocks: 967
# sample: 0.75547 sec, clocks: 967
# pmatch[0].rm_so = 0
# pmatch[0].rm_eo = 8912895
# pmatch[1].rm_so = 8912894
# pmatch[1].rm_eo = 8912895
# pmatch[2].rm_so = -1
# pmatch[2].rm_eo = -1
# pmatch[3].rm_so = -1
# pmatch[3].rm_eo = -1
# pmatch[4].rm_so = -1
# pmatch[4].rm_eo = -1
# mean: 0.75566
# variance: 0.0000001204641242
# standard deviation: 0.0003470794205620
# error: ±0.0001618930369241 (±0.0214%)
8912896	0.75566	0.00016
# len = 9437184
# sample: 0.80078 sec, clocks: 1025
# sample: 0.80000 sec, clocks: 1024
# sample: 0.80000 sec, clocks: 1024
# sample: 0.80000 sec, clocks: 1024
# sample: 0.80000 sec, clocks: 1024
# sample: 0.80000 sec, clocks: 1024
# sample: 0.80000 sec, clocks: 1024
# sample: 0.80000 sec, clocks: 1024
# sample: 0.80000 sec, clocks: 1024
# sample: 0.80000 sec, clocks: 1024
# sample: 0.80000 sec, clocks: 1024
# sample: 0.80000 sec, clocks: 1024
# sample: 0.80000 sec, clocks: 1024
# sample: 0.80000 sec, clocks: 1024
# sample: 0.80000 sec, clocks: 1024
# sample: 0.80078 sec, clocks: 1025
# sample: 0.80000 sec, clocks: 1024
# sample: 0.80000 sec, clocks: 1024
# sample: 0.80000 sec, clocks: 1024
# sample: 0.80156 sec, clocks: 1026
# pmatch[0].rm_so = 0
# pmatch[0].rm_eo = 9437183
# pmatch[1].rm_so = 9437182
# pmatch[1].rm_eo = 9437183
# pmatch[2].rm_so = -1
# pmatch[2].rm_eo = -1
# pmatch[3].rm_so = -1
# pmatch[3].rm_eo = -1
# pmatch[4].rm_so = -1
# pmatch[4].rm_eo = -1
# mean: 0.80016
# variance: 0.0000001670435855
# standard deviation: 0.0004087096592036
# error: ±0.0001906400784049 (±0.0238%)
9437184	0.80016	0.00019
# len = 9961472
# sample: 0.84688 sec, clocks: 1084
# sample: 0.84453 sec, clocks: 1081
# sample: 0.84453 sec, clocks: 1081
# sample: 0.84453 sec, clocks: 1081
# sample: 0.84453 sec, clocks: 1081
# sample: 0.84453 sec, clocks: 1081
# sample: 0.84453 sec, clocks: 1081
# sample: 0.84453 sec, clocks: 1081
# sample: 0.84453 sec, clocks: 1081
# sample: 0.84453 sec, clocks: 1081
# sample: 0.84453 sec, clocks: 1081
# sample: 0.84453 sec, clocks: 1081
# sample: 0.84453 sec, clocks: 1081
# sample: 0.84453 sec, clocks: 1081
# sample: 0.84453 sec, clocks: 1081
# sample: 0.84453 sec, clocks: 1081
# sample: 0.84453 sec, clocks: 1081
# sample: 0.84453 sec, clocks: 1081
# sample: 0.84531 sec, clocks: 1082
# sample: 0.84453 sec, clocks: 1081
# pmatch[0].rm_so = 0
# pmatch[0].rm_eo = 9961471
# pmatch[1].rm_so = 9961470
# pmatch[1].rm_eo = 9961471
# pmatch[2].rm_so = -1
# pmatch[2].rm_eo = -1
# pmatch[3].rm_so = -1
# pmatch[3].rm_eo = -1
# pmatch[4].rm_so = -1
# pmatch[4].rm_eo = -1
# mean: 0.84469
# variance: 0.0000002955386513
# standard deviation: 0.0005436346671394
# error: ±0.0002535750091374 (±0.0300%)
9961472	0.84469	0.00025
# len = 10485760
# sample: 0.88828 sec, clocks: 1137
# sample: 0.88984 sec, clocks: 1139
# sample: 0.88828 sec, clocks: 1137
# sample: 0.88906 sec, clocks: 1138
# sample: 0.88906 sec, clocks: 1138
# sample: 0.88906 sec, clocks: 1138
# sample: 0.88906 sec, clocks: 1138
# sample: 0.88906 sec, clocks: 1138
# sample: 0.88906 sec, clocks: 1138
# sample: 0.88906 sec, clocks: 1138
# sample: 0.88906 sec, clocks: 1138
# sample: 0.88906 sec, clocks: 1138
# sample: 0.88828 sec, clocks: 1137
# sample: 0.88906 sec, clocks: 1138
# sample: 0.88906 sec, clocks: 1138
# sample: 0.88906 sec, clocks: 1138
# sample: 0.88906 sec, clocks: 1138
# sample: 0.88906 sec, clocks: 1138
# sample: 0.88906 sec, clocks: 1138
# sample: 0.88906 sec, clocks: 1138
# pmatch[0].rm_so = 0
# pmatch[0].rm_eo = 10485759
# pmatch[1].rm_so = 10485758
# pmatch[1].rm_eo = 10485759
# pmatch[2].rm_so = -1
# pmatch[2].rm_eo = -1
# pmatch[3].rm_so = -1
# pmatch[3].rm_eo = -1
# pmatch[4].rm_so = -1
# pmatch[4].rm_eo = -1
# mean: 0.88898
# variance: 0.0000001220703125
# standard deviation: 0.0003493856214844
# error: ±0.0001629687500000 (±0.0183%)
10485760	0.88898	0.00016

Script done on Thu Apr  2 03:46:56 2009
--- libtre-non-pgo.log ends here ---
Comment 1 Edwin Groothuis freebsd_committer 2009-04-02 14:00:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lioux

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2009-04-02 14:00:43 UTC
Maintainer of textproc/libtre,

Please note that PR ports/133302 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/133302

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2009-04-02 14:00:45 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 bf 2009-04-21 18:28:40 UTC
--- On Thu, 4/2/09, Edwin Groothuis <edwin@FreeBSD.org> wrote:

> From: Edwin Groothuis <edwin@FreeBSD.org>
> Subject: Re: ports/133302: [PATCH] textproc/libtre: Add option to build w=
ith Profile-Guided Optimization
> To: bf2006a@yahoo.com
> Cc: bug-followup@FreeBSD.org
> Date: Thursday, April 2, 2009, 9:00 AM
> Maintainer of textproc/libtre,
>=20
> Please note that PR ports/133302 has just been submitted.
>=20
> If it contains a patch for an upgrade, an enhancement or a
> bug fix
> you agree on, reply to this email stating that you approve
> the patch
> and a committer will take care of it.
>=20
> The full text of the PR can be found at:
> =A0 =A0 http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/133302
>=20
> --=20
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>=20


I approve the patch.=20

Regards,
         b.=0A=0A=0A
Comment 5 dfilter service freebsd_committer 2009-04-22 02:23:57 UTC
lioux       2009-04-22 01:23:43 UTC

  FreeBSD ports repository

  Modified files:
    textproc/libtre      Makefile 
  Log:
  Add WITH_PGO to build with Profile-Guided Optimization
  
  PR:             133302
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.47      +61 -2     ports/textproc/libtre/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Mario Sergio Fujikawa Ferreira freebsd_committer 2009-04-22 02:24:08 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!